from Bio import SeqIO
import os.path

from pmatch import pmatch

def main(foldedfasta):

    tricsv = os.path.splitext(foldedfasta)[0] + ".csv"
    with open(tricsv, 'wb') as hcsv:
        hfasta = open(foldedfasta, "rU")
        for record in SeqIO.parse(hfasta, "fasta") :
            N2=len(record.seq)
            rstr="%s" % (record.seq)        
            f=pmatch(rstr[0:N2/2],rstr[N2/2:N2])
            hcsv.write('"'+record.id+'"')
            for fi in f:
               hcsv.write(','+str(fi))
            hcsv.write('\n')
        hfasta.close()
    return(tricsv)


#if __name__ == "__main__":
#    main("RNAfolding_results_UNI.fasta")
